DWARF_ADD_AT_FLAG(3)

NAME
dwarf_add_AT_flag - create and attach a flag attribute

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_P_Attribute
dwarf_add_AT_flag(Dwarf_P_Debug dbg, Dwarf_P_Die die, Dwarf_Half attr, Dwarf_Small flag, Dwarf_Error *err);

DESCRIPTION
Function dwarf_add_AT_flag() creates an attribute descriptor belonging to the ‘flag’ class, and attaches it to the debugging information entry referenced by argument die. The created attribute descriptor will have DWARF form DW_FORM_flag.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument die should reference a debugging information entry allocated using dwarf_new_die(3).

Argument attr should specify the attribute code for the new attribute descriptor.

Argument flag should specify the value of the new attribute descriptor. A zero value is treated as ‘false’ and a non-zero value as ‘true’.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_add_AT_flag() returns the created attribute descriptor. In case of an error, function dwarf_add_AT_flag() returns DW_DLV_BADADDR and sets the argument err.

ERRORS
Function dwarf_add_AT_flag() can fail with:

[DW_DLE_ARGUMENT]
    Either of the arguments dbg or die was NULL.

[DW_DLE_MEMORY]
    An out of memory condition was encountered during the execution of the function.

SEE ALSO
dwarf(3), dwarf_add_AT_signed_const(3), dwarf_add_AT_unsigned_const(3), dwarf_new_die(3), dwarf_producer_init(3), dwarf_producer_init_b(3)